<?php
require'fun.php';
require'f_conectare.php';
conectare('calculator','calculator');
$operatie=$_POST['operatie']??'';
$titlu='Calculator online';
$back[1]='<a href="/extra-meniu">'.img('extra.png',1).'Extra meniu</a>';
if($operatie!='')
$back[2]='<a href="/calculator">Calculator</a>';
require'f_sus.php';
if($operatie=='')
{
$form[0]='/calculator" method="post';
$form[1]=1;
require'f_scris3.php';
$form[2]=$div[1].'- Primul numar:<br /><input name="first" />'.$div[0].$div[1].'- Al doilea <strong>la radical nu trebuie completat</strong>:<br /><input name="second" />'.$div[0].$div[1].'- Selecteaza operatia:<br />'.scris3('operatie','sum,,Plus::min,,Minus::mult,,Înmulțit::dev,,Împărțit::stepen,,Radical::procent,,Procente::koren,,Ridică la putere','sum').$div[0];
$form[3]='first::second::operatie';
$form[4]='Calculeaza';
require'f_form.php';
}
else
{
if(isset($_POST['first']))
$first=(int)$_POST['first'];
else
$first='';
if(isset($_POST['second']))
$second=(int)$_POST['second'];
else
$second='';
if(isset($_POST['operatie']))
$operatie=$_POST['operatie'];
else
$operatie='';
switch($operatie)
{
case'sum':$rezultat=$first+$second;
break;
case'min':$rezultat=$first-$second;
break;
case'mult':$rezultat=$first*$second;
break;
case'dev':$rezultat=$first/$second;
break;
case'procent':$rezultat=$first*($second/100);
break;
case'stepen':$rezultat=pow($first,$second);
break;
case'koren':$rezultat=pow($first,0.5);
break;
}
echo$div[10].'Rezultatul este <strong>'.$rezultat.'</strong>'.$div[0];
}
require'f_jos.php';